<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_18) on Mon Jul 05 12:01:12 CEST 2010 -->
<TITLE>
Serialized Form
</TITLE>

<META NAME="date" CONTENT="2010-07-05">

<LINK REL ="stylesheet" TYPE="text/css" HREF="stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="Serialized Form";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Package</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Use</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="overview-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="index.html?serialized-form.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="serialized-form.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<CENTER>
<H1>
Serialized Form</H1>
</CENTER>
<HR SIZE="4" NOSHADE>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="center"><FONT SIZE="+2">
<B>Package</B> <B>aco</B></FONT></TH>
</TR>
</TABLE>

<P>
<A NAME="aco.TspAcoGui"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Class <A HREF="aco/TspAcoGui.html" title="class in aco">aco.TspAcoGui</A> extends javax.swing.JFrame implements Serializable</B></FONT></TH>
</TR>
</TABLE>

<P>
<B>serialVersionUID:&nbsp;</B>100000000L

<P>
<A NAME="serializedForm"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Serialized Fields</B></FONT></TH>
</TR>
</TABLE>

<H3>
antView</H3>
<PRE>
<A HREF="aco/antview/AntView.html" title="class in aco.antview">AntView</A> <B>antView</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>
<H3>
acom</H3>
<PRE>
<A HREF="aco/mediator/ACOMediator.html" title="class in aco.mediator">ACOMediator</A> <B>acom</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>
<H3>
antThread</H3>
<PRE>
java.lang.Thread <B>antThread</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>
<H3>
tspdir</H3>
<PRE>
java.lang.String <B>tspdir</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>
<H3>
filename</H3>
<PRE>
java.lang.String <B>filename</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>
<H3>
c</H3>
<PRE>
java.awt.Container <B>c</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>
<H3>
choice</H3>
<PRE>
int <B>choice</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>
<H3>
jp1</H3>
<PRE>
javax.swing.JPanel <B>jp1</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>
<H3>
jp2</H3>
<PRE>
javax.swing.JPanel <B>jp2</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>
<H3>
jp3</H3>
<PRE>
javax.swing.JPanel <B>jp3</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>
<H3>
algorithms</H3>
<PRE>
javax.swing.JComboBox <B>algorithms</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>
<H3>
cases</H3>
<PRE>
javax.swing.JComboBox <B>cases</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>
<H3>
alpha</H3>
<PRE>
double <B>alpha</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>
<H3>
beta</H3>
<PRE>
double <B>beta</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>
<H3>
roh</H3>
<PRE>
double <B>roh</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>
<H3>
q</H3>
<PRE>
double <B>q</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>
<H3>
cl</H3>
<PRE>
int <B>cl</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>
<H3>
runs</H3>
<PRE>
int <B>runs</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>
<H3>
ew</H3>
<PRE>
int <B>ew</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>
<H3>
w</H3>
<PRE>
int <B>w</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>
<H3>
ants</H3>
<PRE>
int <B>ants</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>
<H3>
values</H3>
<PRE>
javax.swing.JTextField[] <B>values</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>
<H3>
labels</H3>
<PRE>
javax.swing.JLabel[] <B>labels</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>
<H3>
startButton</H3>
<PRE>
javax.swing.JButton <B>startButton</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>
<H3>
b2</H3>
<PRE>
javax.swing.JButton <B>b2</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>
<H3>
pairs</H3>
<PRE>
javax.swing.JPanel[] <B>pairs</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>
<H3>
labelTags</H3>
<PRE>
java.lang.String[] <B>labelTags</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>
<H3>
concreteAntAlgs</H3>
<PRE>
java.lang.String[] <B>concreteAntAlgs</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>
<H3>
tips</H3>
<PRE>
java.lang.String[] <B>tips</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR SIZE="4" NOSHADE>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="center"><FONT SIZE="+2">
<B>Package</B> <B>aco.antview</B></FONT></TH>
</TR>
</TABLE>

<P>
<A NAME="aco.antview.AntViewApplet"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Class <A HREF="aco/antview/AntViewApplet.html" title="class in aco.antview">aco.antview.AntViewApplet</A> extends java.applet.Applet implements Serializable</B></FONT></TH>
</TR>
</TABLE>

<P>
<B>serialVersionUID:&nbsp;</B>1L

<P>
<A NAME="serializedForm"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Serialized Fields</B></FONT></TH>
</TR>
</TABLE>

<H3>
xMax</H3>
<PRE>
int <B>xMax</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>
<H3>
yMax</H3>
<PRE>
int <B>yMax</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>
<H3>
wXSize</H3>
<PRE>
int <B>wXSize</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>
<H3>
wYSize</H3>
<PRE>
int <B>wYSize</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>
<H3>
xScale</H3>
<PRE>
double <B>xScale</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>
<H3>
yScale</H3>
<PRE>
double <B>yScale</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>
<H3>
xMax2yMaxRatio</H3>
<PRE>
double <B>xMax2yMaxRatio</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>
<H3>
xPoints</H3>
<PRE>
int[] <B>xPoints</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>
<H3>
yPoints</H3>
<PRE>
int[] <B>yPoints</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>
<H3>
cityPointRadius</H3>
<PRE>
int <B>cityPointRadius</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>
<H3>
borderSize</H3>
<PRE>
int <B>borderSize</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>
<H3>
avo</H3>
<PRE>
<A HREF="aco/antview/AntViewObservable.html" title="interface in aco.antview">AntViewObservable</A> <B>avo</B></PRE>
<DL>
<DL>
</DL>
</DL>

<P>
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Package</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Use</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="overview-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="index.html?serialized-form.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="serialized-form.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
